Attribute VB_Name = "Module2"
Option Explicit

Sub Auto_Open()
    Application.Visible = False
End Sub

Sub Auto_Close()
    Call ShutdownExec
End Sub

Sub ShutdownExec()

' ShutdownExec.XLS V1.02 (C) yoshioka.teruo@nifty.com 2005-05-29
' ShutdownExec.XLS executes all script of shutdown folder automatically at shutdown time with ScriptControl.
' Usage: Start ShutdownExec.XLS

Dim fso
Dim SC
Dim Folder
Dim File

Set fso = CreateObject("Scripting.FileSystemObject")

Set Folder = fso.GetFolder(fso.BuildPath(fso.GetSpecialFolder(0).Path, "Shutdown"))

For Each File In Folder.Files
  If LCase(fso.GetExtensionName(File.Name)) = "sc" Then
    Set SC = CreateObject("ScriptControl")
    SC.Timeout = -1
    Select Case LCase(fso.GetExtensionName(fso.GetBaseName(File.Name)))
    Case "vbe"
      SC.Language = "VBScript.Encode"
    Case "js"
      SC.Language = "JScript"
    Case "jse"
      SC.Language = "JScript.Encode"
    Case Else
      SC.Language = "VBScript"
    End Select
    SC.AddCode File.OpenAsTextStream.ReadAll
  End If
Next

End Sub

